import type { _MTRDevice } from "./MTRDevice.js";
import type { _MTRGenericCluster } from "./MTRGenericCluster.js";
import type { _MTRModeSelectClusterChangeToModeParams } from "./MTRModeSelectClusterChangeToModeParams.js";
import type { _MTRReadParams } from "./MTRReadParams.js";
import type { _MTRWriteParams } from "./MTRWriteParams.js";
import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSDictionary } from "../Foundation/NSDictionary.js";
import type { _NSError } from "../Foundation/NSError.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRClusterModeSelect extends _MTRGenericCluster {
    static alloc(): _MTRClusterModeSelect;
    static new(): _MTRClusterModeSelect;
    init(): _MTRClusterModeSelect;
    changeToModeWithParams$expectedValues$expectedValueInterval$completion$(params: _MTRModeSelectClusterChangeToModeParams, expectedDataValueDictionaries: _NSArray | null, expectedValueIntervalMs: _NSNumber | null, completion: (arg0: _NSError) => void): void;
    readAttributeDescriptionWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeStandardNamespaceWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeSupportedModesWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeCurrentModeWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeStartUpModeWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeStartUpModeWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeStartUpModeWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeOnModeWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeOnModeWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeOnModeWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeGeneratedCommandListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeAcceptedCommandListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeAttributeListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeFeatureMapWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeClusterRevisionWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    /**
     * For all instance methods that take a completion (i.e. command invocations), the completion will be called on the provided queue.
     */
    initWithDevice$endpointID$queue$(device: _MTRDevice, endpointID: _NSNumber, queue: _NSObject): _MTRClusterModeSelect | null;
    initWithDevice$endpoint$queue$(device: _MTRDevice, endpoint: number, queue: _NSObject): _MTRClusterModeSelect | null;
    changeToModeWithParams$expectedValues$expectedValueInterval$completionHandler$(params: _MTRModeSelectClusterChangeToModeParams, expectedDataValueDictionaries: _NSArray | null, expectedValueIntervalMs: _NSNumber | null, completionHandler: (arg0: _NSError) => void): void;
}
